Bug 168234 - [patch] editors/openoffice-3 fails to build on FreeBSD 10.0
Summary: [patch] editors/openoffice-3 fails to build on FreeBSD 10.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-office mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-22 16:40 UTC by Don Lewis
Modified: 2013-10-21 21:57 UTC (History)
0 users

See Also:


Attachments
file.diff (28.78 KB, patch)
2012-05-22 16:40 UTC, Don Lewis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Don Lewis freebsd_committer 2012-05-22 16:40:01 UTC
The configure scripts for the apr and coinmp external library modules
think that FreeBSD 10.x is actually FreeBSD 1.x, which does not support
shared libraries, so shared libraries for these modules do not get built.

[SNIP]
cp -f ./unxfbsdi.pro/misc/build/apr-1.4.5/build/apr_rules.mk ./unxfbsdi.pro/misc/build/apr-1.4.5/libtool ./unxfbsdi.pro/misc/build/apr-1.4.5/apr-1-config ./unxfbsdi.pro/bin
touch ./unxfbsdi.pro/misc/build/so_predeliver_apr
cp: ./unxfbsdi.pro/misc/build/apr-1.4.5/.libs/libapr-1.so*: No such file or directory^
dmake:  Error code 1, while making './unxfbsdi.pro/misc/build/so_predeliver_apr'
[SNIP]
cp -f ./unxfbsdi.pro/misc/build/CoinMP-1.6.0/CoinMP/src/CoinMP.h ./unxfbsdi.pro/inc
touch ./unxfbsdi.pro/misc/build/so_predeliver_coinmp
cp: ./unxfbsdi.pro/misc/build/CoinMP-1.6.0/CoinMP/src/.libs/libCoinMP*.so*: No such file or directory
cp: ./unxfbsdi.pro/misc/build/CoinMP-1.6.0/Clp/src/OsiClp/.libs/libOsiClp*.so*: No such file or directory
cp: ./unxfbsdi.pro/misc/build/CoinMP-1.6.0/Clp/src/.libs/libClp*.so*: No such file or directory
cp: ./unxfbsdi.pro/misc/build/CoinMP-1.6.0/Cgl/src/.libs/libCgl*.so*: No such file or directory
cp: ./unxfbsdi.pro/misc/build/CoinMP-1.6.0/Cbc/src/OsiCbc/.libs/libOsiCbc*.so*: No such file or directory
cp: ./unxfbsdi.pro/misc/build/CoinMP-1.6.0/Cbc/src/.libs/libCbc*.so*: No such file or directory
cp: ./unxfbsdi.pro/misc/build/CoinMP-1.6.0/CoinUtils/src/.libs/libCoinUtils*.so*: No such file or directory
cp: ./unxfbsdi.pro/misc/build/CoinMP-1.6.0/Osi/src/Osi/.libs/libOsi*.so*: No such file or directory
dmake:  Error code 1, while making './unxfbsdi.pro/misc/build/so_predeliver_coin
mp'
[SNIP]
2 module(s): 
        apr
        coinmp
need(s) to be rebuilt

Reason(s):

ERROR: error 65280 occurred while making /mnt2/tmp/usr/ports/editors/openoffice-3/work/aoo-3.4.0/ext_libraries/coinmp
ERROR: error 65280 occurred while making /mnt2/tmp/usr/ports/editors/openoffice-3/work/aoo-3.4.0/ext_libraries/apr

When you have fixed the errors in that module you can resume the build by running:

        build --from apr coinmp

*** [do-build] Error code 1

Fix: Apply the following patch under /usr/ports/editors/openoffice-3 to create
files/patch-apr and files/patch-coinmp.  These patch files will create/edit
patch files under the work directory that will get applied after the source
tarballs for the ext_libraries tarballs have been unpacked by the port.
How-To-Repeat: 	Attempt to build the port on FreeBSD 10.0.
Comment 1 Edwin Groothuis freebsd_committer 2012-05-27 13:59:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->office

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2012-05-28 02:20:57 UTC
maho        2012-05-28 01:20:48 UTC

  FreeBSD ports repository

  Added files:
    editors/openoffice-3/files patch-apr patch-coinmp 
  Log:
  Fix build on FBSD 10 (possibly).
  
  PR:             168234
  Submitted by:   truckman@
  
  Revision  Changes    Path
  1.1       +187 -0    ports/editors/openoffice-3/files/patch-apr (new)
  1.1       +1044 -0   ports/editors/openoffice-3/files/patch-coinmp (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2012-05-28 02:51:08 UTC
maho        2012-05-28 01:50:54 UTC

  FreeBSD ports repository

  Added files:
    editors/openoffice-3-devel/files patch-apr patch-coinmp 
  Log:
  fix for 10-CURRENT (possibly).
  
  PR:             168234
  Submitted by:   truckman@
  
  Revision  Changes    Path
  1.3       +187 -0    ports/editors/openoffice-3-devel/files/patch-apr (new)
  1.3       +1044 -0   ports/editors/openoffice-3-devel/files/patch-coinmp (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Don Lewis freebsd_committer 2013-10-21 21:55:28 UTC
State Changed
From-To: open->closed

Patch committed by maho on Mon, 28 May 2012 01:51:08 +0000 (UTC).